package com.mycompany.ctfposhbot_a;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 * Sense - we see other player.
 * @author Honza
 */
@PrimitiveInfo(name = "haveFlag", description = "Do I have the enemy flag?")
public class HaveFlag extends StateSense<UT2004Context, Boolean> {

    public HaveFlag(UT2004Context ctx) {
        super("haveFlag", ctx);
    }

    @Override
    public Boolean query(VariableContext params) {        
        return ctx.getCtf().isBotCarryingEnemyFlag();      
    }
}
