package com.mycompany.ctfposhbot_a;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 * Sense - we see other player.
 * @author Honza
 */
@PrimitiveInfo(name = "seeEnemy", description = "Do I see an enemy player?")
public class SeeEnemy extends StateSense<UT2004Context, Boolean> {

    public SeeEnemy(UT2004Context ctx) {
        super("seeEnemy", ctx);
    }

    @Override
    public Boolean query(VariableContext params) {        
        return ctx.getPlayers().canSeeEnemies();      
    }
}
