package com.mycompany.ctfposhbot_a;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;
import cz.cuni.amis.pogamut.unreal.communication.messages.UnrealId;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Player;
import java.util.Map;

/**
 * Sense - we see other player.
 * @author Honza
 */
@PrimitiveInfo(name = "seeFlag", description = "Do I see our flag?")
public class SeeFlag extends StateSense<UT2004Context, Boolean> {

    public SeeFlag(UT2004Context ctx) {
        super("seeFlag", ctx);
    }

    @Override
    public Boolean query(VariableContext params) {        
        return ctx.getVisibility().isVisible(ctx.getCtf().getOurFlag().getLocation());
    }
}
