package com.mycompany.ctfposhbot_a;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 * Sense - we see other player.
 * @author Honza
 */
@PrimitiveInfo(name = "flagStolen", description = "Is our flag stolen?")
public class FlagStolen extends StateSense<UT2004Context, Boolean> {

    public FlagStolen(UT2004Context ctx) {
        super("flagStolen", ctx);
    }

    @Override
    public Boolean query(VariableContext params) {        
        return !ctx.getCtf().isOurFlagHome();      
    }
}
