package com.mycompany.ctfposhbot_a;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 * Sense - we see other player.
 * @author Honza
 */
@PrimitiveInfo(name = "isAlone", description = "Are we alone on our team?")
public class IsAlone extends StateSense<UT2004Context, Boolean> {

    public IsAlone(UT2004Context ctx) {
        super("isAlone", ctx);
    }

    @Override
    public Boolean query(VariableContext params) {        
        return ctx.getPlayers().getFriends().isEmpty();     
    }
}
