package com.mycompany.ctfposhbot_a;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 * Sense - we see other player.
 * @author Honza
 */
@PrimitiveInfo(name = "isNavigating", description = "Is the bot navigating somewhere?")
public class IsNavigating extends StateSense<UT2004Context, Boolean> {

    public IsNavigating(UT2004Context ctx) {
        super("isNavigating", ctx);
    }

    @Override
    public Boolean query(VariableContext params) {        
        return ctx.getPathExecutor().isExecuting();     
    }
}
